#include<bits/stdc++.h>
#define maxn 3000010
using namespace std;

int n, k, a[maxn];

int main(){
	ios_base::sync_with_stdio(0);
	cout.tie(0);
	cin.tie(0);
	cin >> n >> k;
	for(int i = 0; i < n; ++i){
		int x;
		cin >> x;
		a[x+n]++;
	}
	vector<int> ans;
	for(int i = -n; i <= n; ++i){
		if(a[i+n] >= k){
			ans.push_back(i);
		}
	}
	cout << ans.size() << '\n';
	for(auto x : ans){
		cout << x << ' ';
	}
}